Package org.jfree.report.modules.gui.swing.preview

# Interface ReportController

All Known Implementing Classes:
  `DefaultReportController`

public interface ReportController
A report controler. This provides some means of configuring the preview components.

The controler should use the propertyChange events provided by the PreviewProxyBase and the ReportPane to update its state.

To force a new repagination, use the `refresh` method of the PreviewProxyBase.

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`String`
`getControllerLocation()`
Returns the location for the report controler, one of BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.
`JComponent`
`getControlPanel()`
Returns the graphical representation of the controler.
`JMenu[]`
`getMenus()`
Returns the menus that should be inserted into the menubar.
`void`
`initialize(PreviewPane pane)`
`boolean`
`isInnerComponent()`
Defines, whether the controler component is placed between the preview pane and the toolbar.

## Method Details

### getControlPanel

JComponent getControlPanel()
Returns the graphical representation of the controler. This component will be added between the menu bar and the toolbar.

Changes to this property are not detected automaticly, you have to call "refreshController" whenever you want to display a completly new control panel.

Returns:
  the controler component.

### getMenus

JMenu[] getMenus()
Returns the menus that should be inserted into the menubar.

Changes to this property are not detected automaticly, you have to call "refreshControler" whenever the contents of the menu array changed.

Returns:
  the menus as array, never null.

### isInnerComponent

boolean isInnerComponent()
Defines, whether the controler component is placed between the preview pane and the toolbar.

Returns:
  true, if this is a inner component.

### getControllerLocation

String getControllerLocation()
Returns the location for the report controler, one of BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.

Returns:
  the location;

### initialize

void initialize(PreviewPane pane)